FAQ

Having trouble with the website? Seeing gray boxes or image not found signs?

Sometimes the applets take a couple minutes to load. But if you've been waiting a while, you may need the latest Java Runtime Engine (JRE).

How do I get the latest Java Runtime Engine (JRE)?

Download the latest JRE here. Scroll down to "Download J2SE v 1.4.2_xx", and select the JRE matching your operating system (e.g. Windows, Linux).

Why do I need the latest JRE?

Short Answer: The latest Java Runtime Engine (JRE) lets you use all of the features of this website.

Long Answer: Much of the site relies on Java applets, and you need a Java Virtual Machine (JVM or VM) to run the applets. The JVM is included in the Java Runtime Engine, which also lets you run standalone Java programs.

There are two issues involved. The first is whether or not you have a JVM. The second is having an up-to-date JVM. Old browsers (and some new ones, e.g. MS Internet Explorer 6.0) do not come prepackaged with a JVM. Other browsers (including IE 5.0) do have a JVM; however, it may be old or otherwise incompatible with some newer applets. Installing the latest JRE solves many compatibility issues with the site.

I have the latest version of Internet Explorer, but nothing works! Help!

A new installation of Microsoft's Internet Explorer 6.0 will not have a Java Virtual Machine. You need to download and install the Java Runtime Engine (see above).

I installed the latest Java Runtime Engine (JRE), but some applets are still broken!

Check the settings of the Java Plug-in. Go to Control Panels and open up the Java Plug-in. Select the Browser tab, and make sure that the JRE is the default for your browser.

Still having trouble? Contact us.